@font-face
{
	font-family: Amita;
	src: url( '../fonts/Amita-Regular.woff2' ) format( 'woff2' ), url( '../fonts/Amita-Regular.woff' ) format( 'woff' );
	font-weight: normal;
}

@font-face
{
	font-family: AndikaNewBasic;
	src: url( '../fonts/AndikaNewBasic-R.woff2' ) format( 'woff2' ), url( '../fonts/AndikaNewBasic-R.woff' ) format( 'woff' );
	font-weight: normal;
}

@font-face
{
	font-family: JosephineSans;
	src: url( '../fonts/JosefinSans-Light.woff2' )  format( 'woff2' ), url( '../fonts/JosefinSans-Light.woff' ) format( 'woff' );
	font-weight: 300;
}

@font-face
{
	font-family: DancingScript;
	src: url( '../fonts/DancingScript-Regular.ttf' );
	src: local( 'DancingScript-Regular.ttf' ), url( '../fonts/DancingScript-Regular.ttf' ) format( 'truetype' );
}

@font-face
{
	font-family: Gruppo;
	src: url( '../fonts/Gruppo.ttf' );
	src: local( 'Gruppo.ttf' ), url( '../fonts/Gruppo.ttf' ) format( 'truetype' );
}

@font-face
{
	font-family: PermanentMarker;
	src: url( '../fonts/PermanentMarker.ttf' );
	src: local( 'PermanentMarker.ttf' ), url( '../fonts/PermanentMarker.ttf' ) format( 'truetype' );
}

@font-face
{
	font-family: SueEllenFrancisco;
	src: url( '../fonts/SueEllenFrancisco.ttf' );
	src: local( 'SueEllenFrancisco.ttf' ), url( '../fonts/SueEllenFrancisco.ttf' ) format( 'truetype' );
}

@font-face
{
	font-family: CabinSketch_Bold;
	src: url( '../fonts/CabinSketch_Bold.ttf' );
	src: local( 'CabinSketch_Bold.ttf' ), url( '../fonts/CabinSketch_Bold.ttf' ) format( 'truetype' );
}



html
{
	height: 100%;
	margin: 0px;
	padding: 0px;
	background: #3D3D3D  fixed; /* old browsers */
	background: linear-gradient(to bottom, #3D3D3D 0%, #474747 23%, #7F7F7F 47%, #B2B2B2 70%, #D8D8D8 100%) fixed;
}

body
{
	margin: 0px;
	padding: 0px;
	font-family: AndikaNewBasic;
}


.wrapper
{
	width: 800px;
	margin: 0px auto 20px auto;
	padding: 0px 0px 10px 0px;
	background-color: #ffffff;
	box-shadow: 2px 2px 4px rgba( 0, 0, 0, .5);
}

header
{
	position: relative;
	padding: 0px;
	margin: 0 0 -40px 0;
	border: 1px transparent solid;
	/*background: #ffffff url( '../images/header.png' ) no-repeat 500px 10px;*/
}



main
{
	padding: 40px;
	line-height: 1.5em;
}

footer
{
	text-align: center;
	font-size: 80%;

}


nav {
	margin-top: -60px;
}

nav ul
{
	position: relative;
	z-index: 5;
	margin: 0 50px -20px 50px;

	list-style-type: none;
	padding: 5px 10px;
	text-align: center;
	border-bottom: 1px transparent solid;
	border-image: linear-gradient( to right, rgb(160,160,160) 0%, rgb(230,230,230) 25%, rgb(220,220,220) 75%, rgb(160,160,160) 100%) 10;
}


nav ul li
{
	display: inline;
	position: relative;
	top: 18px;
	z-index: 20;
	padding: 5px 7px;
	margin: 0px 15px;
	/*background: linear-gradient(top, rgba(255, 255, 255, .5) 0%, rgba(255, 255, 255, .2) 50%, rgba(150, 150, 150, .2) 50%, rgba(255, 255, 255, .1) 100%) gray;*/
	background: linear-gradient(to bottom, rgba(230,230,230,1) 0%,rgba(250,250,250,1) 49%,rgba(210,210, 210,1) 51%,rgba(240,240, 240,1) 100%);
	/*border: 1px #aaa solid;*/
	border-radius: 3px;
	/*box-shadow:0px 0px 3px rgba( 0, 0, 0, 0.5 );*/

}

nav ul li:hover
{
	/*background: linear-gradient(to bottom, rgba(146,151,206,1) 0%,rgba(102,169,224,1) 49%,rgba(62,138,201,1) 51%,rgba(125,185,232,1) 100%);*/
	background: linear-gradient(to bottom, rgba(240,240,240,1) 0%,rgba(210,210,210,1) 49%,rgba(250,250,250,1) 51%,rgba(230,230, 230,1) 100%);
	text-shadow: 1px 1px 5px rgba( 200, 200, 200, .75);
	box-shadow: 0px 0px 4px rgba( 0, 0, 0, 0.3 );

}

nav ul li a
{
	position: relative;
	text-decoration:none;
	padding-bottom: 0;
	color: #444;
	font-weight: bold;
}

 body#index nav ul li a[href='index.html'] {
	color: #000;
	text-shadow: 0 0 1px rgba(0,0, 200,.6);

	border-bottom: 4px gold solid;
	border-image: linear-gradient(to bottom, rgb(0,0,200) 0%,rgb(244,250,255) 100%) 10;
}


h1
{
	margin-left: 50px;
	padding: 0 10px 10px 40px;
	font-family:  Amita;
	font-size: 60px;
	text-shadow: 1px 1px 2px rgba( 0, 0, 0, .3);
	text-align: center;
	width: 400px;
}


header h1 > span.name {
	display: block;
	font-size: 30%;
	font-family: AndikaNewBasic;
	font-weight: normal;
	letter-spacing: 0.35em;
	margin-left: -190px;
	margin-bottom: -1em;
	text-indent: 0.3em;
	text-shadow: none;
}


ul.favorites
{
	list-style-type: square;
}

.favorites li:nth-of-type(1):hover:after, .favorites li:nth-of-type(2):hover:after, .favorites li:nth-of-type(3):hover:after, .favorites li:nth-of-type(4):hover:after
{
	color: rgba( 0, 0, 0, .3);
	padding-left: 30px;
	content: attr(title);
}




/* ------------------------------   home page styles  ----------------------------------------  */
#home #main p:nth-of-type(1) { margin-left: 10px; font-family: SueEllenFrancisco; font-size:55px; color:#000044; font-weight:bold;}
#home #main p:nth-of-type(2) { margin-left: 65px; font-family:PermanentMarker; font-size:60px; color:#550000; }
#home #main p:nth-of-type(3) { margin-left: 140px; font-family:CabinSketch_Bold; font-size:40px; }
#home #main p:nth-of-type(4) { margin-left: 270px; font-size:40px; text-shadow:0px 0px 4px rgba( 0, 0, 0, .5 );line-height:30px;  }

h2
{
	margin-bottom: 20px;
	font-size: 30px;
}

.assignment
{
	display: block;
	position: relative;
	vertical-align: top;
	min-height: 250px;
	padding-top: 20px;
	text-decoration: none;
	font-size: 20px;
	color: black;
	margin: 0px 0px 20px 100px;
}

.screenshot
{
	vertical-align: top;
	position: absolute;
	right: 40px;
	margin: -20px 20px 20px 20px;
	-moz-box-shadow: 2px 2px 6px rgba( 0, 0, 0, .8);
	-webkit-box-shadow: 2px 2px 6px rgba( 0, 0, 0, .8);
	box-shadow: 2px 2px 6px rgba( 0, 0, 0, .8);
}


main div[id=about], main div[id=projects], main div[id=resume], main div[id=contact]  {
	padding:  40px 10px 10px 10px;
	margin: 0;
}

#projects .project {
	position: relative;
	border: 1px black solid;
	border-radius: 3px;
	margin: 10px 0;
	padding:  0 10px 10px 10px;
}

#projects .project h3 {
	margin-top: 10px;
	font-size: 27px;
}

#projects .project h3 .name {
	display: block;
	margin-bottom: 5px;
	font-size: 20px;
}


#projects .project .image_holder {
	position: relative;
	float: right;
	margin: 10px 0 40px 40px;
	transform: perspective( 400px ) rotateY(-25deg) rotateX(35deg);
	box-shadow: 4px 4px 6px rgba(0, 0, 0, .8);
	transition: .25s ease-in-out;
}


@keyframes shadowslide {
	0% {
		background-image: linear-gradient(125deg, rgba(0,0,0,0.7),rgba(0,0,0,0.4) 30%, rgba(0,0,0,0.1) 70%, rgba(0,0,0,0) 100%);
	}
	30% {
		background-image: linear-gradient(125deg, rgba(0,0,0,0.4) 30%, rgba(0,0,0,0.1) 70%, rgba(0,0,0,0) 100%);
	}
	100% {

	}


}



#projects .project .image_holder:after {
	position: absolute;
	content: '';
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	outline: 1px green dotted;

	background-image: linear-gradient(125deg, rgba(0,0,0,0.7),rgba(0,0,0,0.4) 30%, rgba(0,0,0,0.1) 70%, rgba(0,0,0,0) 100%);
	/*opacity: .6;*/
	z-index: 500;
}


#projects .project .image_holder:hover {
	transform: none;
	box-shadow: none;
    transition: .25s ease-in-out;
}

#projects .project .image_holder:hover:after {
	/*background-image: linear-gradient(125deg, rgba(0,0,0,0),rgba(0,0,0,0) 30%, rgba(0,0,0,0) 70%, rgba(0,0,0,0) 100%);
    transition: .5s ease-in-out;*/
	animation: shadowslide .25s;
}


.project_state {
	font-size: 65%;
	margin-left: 1em;
}